GeliştiricilerAPI başvurusuWebhook'lar
Webhook aboneliği oluştur
POST
Kapsam: webhooks:write. Adres herkese açık bir HTTPS adresi olmalıdır. İmza anahtarı (secret) yalnızca bu yanıtta döner. Idempotency-Key zorunludur.
integrationKeyheader
AuthorizationBearer <cf_sk_…>Organizasyon API anahtarı (cf_sk_…). Organizasyon → API ve otomasyonlar → API anahtarları sayfasında oluşturulur; Authorization: Bearer cf_sk_… başlığıyla gönderilir.
Idempotency-Key*stringLength
length <= 200application/json- body
name*stringLength
1 <= length <= 120url*stringHerkese açık HTTPS adresi. Özel adresler, yönlendirmeler ve DNS rebinding engellenir.
Format
urievents*array<string>Items
1 <= itemsenabled*booleanBaşarılı
application/json- response
success*booleandata*unknownmeta?curl -X POST 'https://api.getclickfix.com/v1/public-api/webhooks' \ -H 'Idempotency-Key: string' \ -H 'Content-Type: application/json' \ -d '{ "name": "ERP sync", "url": "https://erp.example.com/clickfix/webhook", "events": [ "conversation.created", "message.received", "contact.updated" ], "enabled": true}'Örnek yanıt
{ "success": true, "data": { "uuid": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d", "name": "ERP sync", "url": "https://erp.example.com/clickfix/webhook", "events": [ "conversation.created", "message.received", "contact.updated" ], "enabled": true, "created_at": "2026-11-01T10:00:00Z", "secret": "whsec_3f9c1a7e5b2d4c8f0a6e9b1d3c5f7a2e4b6d8c0f1a3e5b7d9c2f4a6e8b0d1c3f" }, "meta": { "request_id": "01JCK9ZQ3M8R2W7X5E4T1N0PAB" }}